package repub;

/**
 * a number of constants used
 * in generalization
 * 
 * @author Yingyi Bu
 *
 */
public class Constant {

	/**
	 * role holder
	 */
	public static int HOLDER = 1;

	/**
	 * role decoy
	 */
	public static int DECOY = 2;

	/**
	 * role buddy
	 */
	public static int BUDDY = 3;

	/**
	 * role fresh contractor
	 */
	public static int FRESHCONTRACTOR = 4;

	/**
	 * role clean individual
	 */
	public static int CLEAN = 0;

	/**
	 * parameter container size
	 */
	public static int CONTAINER_SIZE = 5;

	/**
	 * number of sensitive values
	 */
	public static int num_of_ps = 3;

	/**
	 * parameter dimension
	 */
	public static int DIM = 3;

	/**
	 * internal registration list
	 */
	public static String internalList = "RL.list";

	/**
	 * the parameter L for generalization
	 */
	public static int L = 4;

	/**
	 * the initial partitioning: to 40 partitions
	 */
	public static int part = 40;

	/**
	 * disease breast cancer
	 */
	public static int BREAST_CANCER = 0;

	/**
	 * disease cavity cancer
	 */
	public static int CAVITY_CANCER = 1;

	/**
	 * disease diabete
	 */
	public static int DIABETE = 2;

	public static int TESTSIZE = 20000;
	
	/**
	 * number of brunches
	 */
	public static int BRUNCH = 2;
}
