package repub;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.HashMap;

/**
 * 3 permanent sensitive values
 * 
 * @author Administrator
 * 
 */
public class SensitiveValue {

	// public static HashMap diseaseIDToName = new HashMap();

	public static HashMap diseaseToID = new HashMap();

	public static HashMap diseaseIDToName = new HashMap();

	/**
	 * the list of disease
	 */
	public static void readMicroData(String dataset) {

		/**
		 * set up all disease
		 */
		try {
			String tuple = "";
			int size = 0;
			BufferedReader reader = new BufferedReader(new InputStreamReader(
					new FileInputStream(dataset)));
			while ((tuple = reader.readLine()) != null)
				size++;

			//System.out.println(size);
			reader.close();
			System.gc();

			// String[] results = new String[size];
			reader = new BufferedReader(new InputStreamReader(
					new FileInputStream(dataset)));

			int id = Constant.num_of_ps;
			/**
			 * read in all the tuples
			 */
			while ((tuple = reader.readLine()) != null) {

				String[] fields = tuple.split("!");
				// System.out.println(fields[0]);

				if (fields.length < 3) {
					System.out.println("errors!");
					System.out.println(fields[0]);
					continue;
				}

				int pid = 0;
				try {
					pid = Integer.parseInt(fields[1]);
				} catch (Exception e) {
					// e.printStackTrace();
					System.out.println("errors 2!");
					continue;
				}
				/**
				 * get the disease
				 */
				String dis = fields[2].trim();

				/**
				 * find the id of BREAST CANCER
				 */
				if (dis.indexOf("BREAST CANCER") != -1
						&& diseaseToID.get("BREAST CANCER") == null) {
					diseaseToID.put("BREAST CANCER", new Integer(
							Constant.BREAST_CANCER));
					diseaseIDToName.put(new Integer(Constant.BREAST_CANCER),
							"BREAST CANCER");
				}

				/**
				 * find the id of CAVITY CANCER
				 */
				else if (dis.indexOf("CAVITY CANCER") != -1
						&& diseaseToID.get("CAVITY CANCER") == null) {
					diseaseToID.put("CAVITY CANCER", new Integer(
							Constant.CAVITY_CANCER));
					diseaseIDToName.put(new Integer(Constant.CAVITY_CANCER),
							"CAVITY CANCER");
				}

				/**
				 * find a diabete DIABETE
				 */
				else if (dis.indexOf("DIABETE") != -1
						&& diseaseToID.get("DIABETE") == null) {
					diseaseToID.put("DIABETE", new Integer(Constant.DIABETE));
					diseaseIDToName.put(new Integer(Constant.DIABETE),
							"DIABETE");
				}

				/**
				 * assign each disease a ID to other diseases
				 */
				else if (diseaseToID.get(dis) == null) {
					diseaseToID.put(dis, new Integer(id));
					diseaseIDToName.put(new Integer(id), dis);
					//System.out.println(dis + " " + id);
					id++;
				}
				;
			}
			// System.out.println(dis_no);
			reader.close();

		} catch (Exception e) {
			e.printStackTrace();
			// return null;
		}
	}
}
